<?php

namespace App\Filament\Resources\TextWidgets\Schemas;

use App\Models\Category;
use Filament\Forms\Components\Select;
use Filament\Forms\Components\Textarea;
use Filament\Forms\Components\TextInput;
use Filament\Schemas\Schema;

class TextWidgetForm
{
    public static function configure(Schema $schema): Schema
    {
        return $schema
            ->components([
                TextInput::make('title')
                    ->required()
                    ->live(onBlur: true),
                TextInput::make('description')
                    ->nullable(),
                Textarea::make('content')
                    ->rows(5)
                    ->columnSpanFull(),
                Select::make('category_id')
                    ->label('Category')
                    ->options(function () {
                        return Category::all()
                            ->pluck('name', 'id')
                            ->toArray();
                    })
                    ->searchable(),

            ]);
    }
}
